# $Revision: 1.22 $, $Date: 2002/09/02 14:39:50 $

# [ug]id for partimaged
%define		_id		98

Summary:	Utility to save partitions in a compressed image file
Summary(pl):	Narzdzie do zapisu partycji w skompresowanych plikach
Summary(pt_BR):	Ferramenta para criar e restaurar backup de parties
Name:		partimage
Version:	0.6.1
Release:	6
License:	GPL v2
Vendor:		Franois Dupoux <fdupoux@partimage.org>
Group:		Applications/System
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/partimage/%{name}-%{version}.tar.bz2
Source1:	%{name}d.init
Patch0:		%{name}-types.patch
URL:		http://www.partimage.org/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	bzip2-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext-devel
BuildRequires:	newt-devel
BuildRequires:	slang-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux/UNIX utility to save partitions in a compressed image file
Partition Image is a Linux/UNIX partition imaging utility: it saves
partitions in the:

  - Ext2FS (the Linux standard)
  - ReiserFS (a new, powerful journalling file system)
  - NTFS (Windows NT File System)
  - FAT16/32 (DOS & Windows file systems)
  - HPFS (OS/2 File System)
  - JFS (IBM Jounalized File System for AIX)
  - XFS (SGI Jounalized File System for IRIX)
  - HFS (Hierarchical File System for MacOS)
  - UFS (*BSD, Solaris and NextStep file systems)

file system formats to an image file. Only used blocks are copied. The
image file can be compressed in the GZIP/BZIP2 formats to save disk
space, and splitted into multiple files to be copied on amovibles
floppies (ZIP for example), or burned on a CD-R ... This allows to
save a full Linux/Windows system, with an only operation. When
problems (viruses, crash, error, ...), you just have to restore, and
after several minutes, all your system is restored (boot, files, ...),
and fully working. This is very useful when installing the same
software on many machines: just install one of them, create an image,
and just restore the image on all other machines. Then, after the
first one, each installation is automatically made, and only require a
few minutes.

%description -l pl
Narzdzie Linuksowe do zapisywania partycji w skompresowanych plikach.
Potrafi ono zapisywa partycje
   - Ext2FS (linuksowy standard),
   - ReiserFS (nowy, potny system plikw z journalem),
   - NTFS (system plikw Windows NT),
   - FAT16/32 (system plikw DOS i Windows),
   - HPFS (system plikw OS/2),
   - XFS (system plikw z journalem IBM-a dla AIX),
   - JFS (system plikw z journalem SGI dla IRIX-a),
   - HFS (hierarchiczny system plikw dla MacOS),
   - UFS (system plikw *BSD, Solarisa oraz NextStepa).
Kopiowane s tylko uywane bloki. Plik wyjciowy moe by podzielony
na wiele mniejszych oraz kompresowany w formacie gzip/bzip2 w celu
zaoszczdzenia miejsca. Pozwala to na zapis caego systemu
Linux/Windows w pojedyczej operacji. W razie problemw (wirusy,
bdy, awaria...) naley po prostu przywrci system i po kilku
minutach cao jest znowy sprawna. Jest to bardzo uyteczne przy
instalowaniu tego samego na wielu maszynach: wystarczy zainstalowa na
jednej z nich, zrobi obraz i przywrci na pozostaych maszynach. Po
pierwszej instalacji kada nastpna wymaga tylko kilku minut.

%package server
Summary:	Partimage server
Summary(pl):	Serwer Partimage
Group:		Applications/System
Requires:	%{name} = %{version}
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(post,preun):/sbin/chkconfig

%description server
Server for Partimage. Very alpha stage, don't use it!!

%description server -l pl
Server dla Partimage. Nie uywaj, bardzo wczesna wersja!!

%prep
%setup -q
%patch -p1

%build
rm -f missing
%{__gettextize}
aclocal -I macros
%{__autoconf}
%{__automake}

%configure \
	--enable-nls \
	--without-included-gettext \
	--disable-ssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_sysconfdir}/partimaged,/etc/rc.d/init.d}

%{__make} -C src install \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C po install \
	DESTDIR=$RPM_BUILD_ROOT

cat > $RPM_BUILD_ROOT%{_sysconfdir}/partimaged/partimagedusers << EOF
#note, '#' intruduces comments
#add only users allowed to connect to partimaged
# (only one login per line)

#joe # user 'joe' is allowed to coonnect to partimaged
EOF

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/partimaged

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre server
if [ -n "`/usr/bin/getgid partimag`" ]; then
	if [ "`/usr/bin/getgid partimag`" != "%{_id}" ]; then
		echo "Warning: group partimag hasn't gid=%{_id}. Correct this before installing partimage." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g %{_id} -r -f partimag
fi
if [ -n "`/bin/id -u partimag 2>/dev/null`" ]; then
	if [ "`/bin/id -u partimag`" != "%{_id}" ]; then
		echo "Warning: user partimag hasn't uid=%{_id}. Corrent this before installing partimage." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u %{_id} -r -d %{_sysconfdir}/partimaged -s /bin/false -c "Partimage server" -g partimag partimag 1>&2
fi

%post server
/sbin/chkconfig --add partimaged
if [ -f /var/lock/subsys/partimaged ]; then
	/etc/rc.d/init.d/partimaged restart >&2
else
	echo "Run \"/etc/rc.d/init.d/partimaged start\" to start partimage server." >&2
fi

%preun server
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/partimaged ]; then
		/etc/rc.d/init.d/partimaged stop >&2
	fi
	/sbin/chkconfig --del partimaged
fi

%postun server
if [ "$1" = "0" ]; then
	/usr/sbin/userdel partimag 2>/dev/null
	/usr/sbin/groupdel partimag 2>/dev/null
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BOOT* ChangeLog README* THANKS TODO BUGS
%attr(755,root,root) %{_sbindir}/partimage

%files server
%defattr(644,root,root,755)
%doc README.partimaged
%attr(755,root,root) %{_sbindir}/partimaged
%attr(754,root,root) /etc/rc.d/init.d/partimaged
%dir %{_sysconfdir}/partimaged
%attr(600,partimag,root) %config(noreplace) %{_sysconfdir}/partimaged/partimagedusers

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: partimage.spec,v $
Revision 1.22  2002/09/02 14:39:50  qboosh
- fixed build on alpha (types patch), release 6

Revision 1.21  2002/08/16 21:57:51  blues
- release 5 - closed BTS#249 - STBR

Revision 1.20  2002/08/05 14:01:41  qboosh
- fixed typo, little better pl, cosmetics

Revision 1.19  2002/08/05 13:44:07  blues
- fix in doc.

Revision 1.18  2002/08/05 12:26:35  blues
- release 4
- better translation

Revision 1.17  2002/06/27 08:16:03  kloczek
- typo in %install.

Revision 1.16  2002/06/26 21:16:58  kloczek
- release 3,
- spec adapterized,
- use new %doc and few minor changes in spec file.

Revision 1.15  2002/06/25 15:08:37  ankry
- changed source0 URL to ftp://

Revision 1.14  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.13  2002/06/01 09:56:06  migo
- typo

Revision 1.12  2002/05/21 23:14:20  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/11 13:50:53  qboosh
- fixed uid/gid (reserved in uid_gid.db), added Requires to -server
- fixed file lists (there were duplicated binaries)
- release 2

Revision 1.10  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/27 23:29:31  filon
- downgrade to 0.6.x - quite stable branch (0.7.x is testing branch)
- updato to 0.6.1

Revision 1.6  2001/11/10 18:53:37  kloczek
- updated to 0.7.0.

Revision 1.5  2001/11/08 22:31:17  filon
- updated to 0.6.0
- updated and reorganized description
- fixed rebuilding conf. files
- added partimaged package + partimaged.init + pre/post* macros
- rewritten %%build and %%files
- STB

Revision 1.4  2001/05/11 14:48:18  kloczek
- cosmetics.

Revision 1.3  2001/05/10 14:22:03  misiek
- updated to 0.3.6
- removed obsolete am/ac patch

Revision 1.2  2001/04/30 05:31:29  kloczek
- removed %post, %postun scripts.

Revision 1.1  2001/04/29 17:14:36  misiek
Northon Ghost like software
